Bug 188309 - Review Request: conserver - serial console server daemon/client
Summary: Review Request: conserver - serial console server daemon/client
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-07 19:25 UTC by Jima
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 14:19:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jima 2006-04-07 19:25:50 UTC
Spec Name or Url: http://beer.tclug.org/fedora-extras/conserver/conserver.spec
SRPM Name or Url: http://beer.tclug.org/fedora-extras/conserver/conserver-8.1.13-1.src.rpm
Description: Conserver is an application that allows multiple users to watch a serial console at the same time.  It can log the data, allows users to take 
write-access of a console (one at a time), and has a variety of bells and whistles to accentuate that basic functionality.

Comment 1 Tom "spot" Callaway 2006-04-07 20:34:12 UTC
- rpmlint checks return: nothing!
- package meets naming guidelines
- package meets packaging guidelines
- license (Distributable, BSD/MIT-ish, same as libtabe) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

One minor note: It would be nice to see LICENSE included as %doc before commit.
Otherwise, this is great. Approved.

Comment 2 Jima 2006-04-08 05:39:24 UTC
Added LICENSE to %doc. Thanks for the suggestion; it should have been there.

Will commit when I have time to set it all up.

Thanks!

Comment 3 Jima 2006-04-11 14:19:30 UTC
Built for FC-4, FC-5, FC-6.


Note You need to log in before you can comment on or make changes to this bug.